Returns the VAST (Video Ad Serving Template) tag URL for a video placement identified by its key.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/placement/{key}/vast-tag.do
Returns the VAST (Video Ad Serving Template) tag URL for a video placement identified by its key. The placement must be of type VIDEO_PLACEMENT. Supports VAST protocol versions 2.0, 3.0, and 4.0 (defaults to 3.0). The returned tag URL can be used in video players to request video ads.
Path Params
keystringrequired
Unique placement key string (MD5 hash)
a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4
Query Params
vstring
VAST protocol version: 2.0, 3.0, or 4.0 (default: 3.0)
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/placement/a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4/vast-tag.do?v=3.0");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());